org.apache.flume.source.taildir

## Class ReliableTaildirEventReader.Builder

- java.lang.Object
- - org.apache.flume.source.taildir.ReliableTaildirEventReader.Builder

- Enclosing class:
    ReliableTaildirEventReader

      public static class ReliableTaildirEventReader.Builder
      extends Object

  Special builder class for ReliableTaildirEventReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReliableTaildirEventReader.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReliableTaildirEventReader.Builder` | `addByteOffset(boolean addByteOffset)`
    `ReliableTaildirEventReader.Builder` | `annotateFileName(boolean annotateFileName)`
    `ReliableTaildirEventReader` | `build()`
    `ReliableTaildirEventReader.Builder` | `cachePatternMatching(boolean cachePatternMatching)`
    `ReliableTaildirEventReader.Builder` | `fileNameHeader(String fileNameHeader)`
    `ReliableTaildirEventReader.Builder` | `filePaths(Map<String,String> filePaths)`
    `ReliableTaildirEventReader.Builder` | `headerTable(com.google.common.collect.Table<String,String,String> headerTable)`
    `ReliableTaildirEventReader.Builder` | `positionFilePath(String positionFilePath)`
    `ReliableTaildirEventReader.Builder` | `skipToEnd(boolean skipToEnd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReliableTaildirEventReader.Builder

          public ReliableTaildirEventReader.Builder()

  - ### Method Detail

    - #### filePaths

          public ReliableTaildirEventReader.Builder filePaths(Map<String,String> filePaths)

    - #### headerTable

          public ReliableTaildirEventReader.Builder headerTable(com.google.common.collect.Table<String,String,String> headerTable)

    - #### positionFilePath

          public ReliableTaildirEventReader.Builder positionFilePath(String positionFilePath)

    - #### skipToEnd

          public ReliableTaildirEventReader.Builder skipToEnd(boolean skipToEnd)

    - #### addByteOffset

          public ReliableTaildirEventReader.Builder addByteOffset(boolean addByteOffset)

    - #### cachePatternMatching

          public ReliableTaildirEventReader.Builder cachePatternMatching(boolean cachePatternMatching)

    - #### annotateFileName

          public ReliableTaildirEventReader.Builder annotateFileName(boolean annotateFileName)

    - #### fileNameHeader

          public ReliableTaildirEventReader.Builder fileNameHeader(String fileNameHeader)

    - #### build

          public ReliableTaildirEventReader build()
                                           throws IOException

      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.